For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddPstnBlackListItem
        • POSTSetPstnBlackListItem
        • POSTDelPstnBlackListItem
        • POSTGetPstnBlackList
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferencePstn Blacklist

GetPstnBlackList

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetPstnBlackList
POST
/platform_api/GetPstnBlackList
$curl -X POST "https://api.voximplant.com/platform_api/GetPstnBlackList?pstn_blacklist_id=1024&pstn_blacklist_phone=%2B14155552671&count=20&offset=0" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Example 1
1{
2 "result": [
3 {
4 "pstn_blacklist_id": 1024,
5 "pstn_blacklist_phone": "+14155552671"
6 },
7 {
8 "pstn_blacklist_id": 1025,
9 "pstn_blacklist_phone": "+442071838750"
10 },
11 {
12 "pstn_blacklist_id": 1026,
13 "pstn_blacklist_phone": "+819012345678"
14 }
15 ],
16 "total_count": 3,
17 "count": 3
18}

Get the whole PSTN blacklist.

Allowed roles: Owner, Admin.

Was this page helpful?
Previous

DelPstnBlackListItem

Next

AddSipWhiteListItem

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

pstn_blacklist_idintegerOptional
The PSTN black list item ID for filter
pstn_blacklist_phonestringOptional
The phone number in format e164 for filter
countintegerOptionalDefaults to 20
The max returning record count
offsetintegerOptionalDefaults to 0

The first N records are skipped in the output

Response

Successful response
resultlist of objects
total_countinteger
The total found phone numbers count
countinteger
The returned phone numbers count